Mettre à jour les sources de forge


  • Moddeurs confirmés Rédacteurs Administrateurs

    youtubeCette astuce est également disponible en vidéo.

    Sommaire

    Introduction

    Dans cette petite astuce vous allez apprendre à mettre à jour rapidement les sources de forge à l'aide de forge gradle. Depuis que forge gradle est en place, plus besoin de télécharger les nouvelles sources et de lancer un setup, il suffit de modifier le fichier build.gradle et de lancer un setup. Les sources de vos mods sont en plus conservées.

    Pré-requis

    Modifier le fichier build.gradle

    Dans le dossier de forge, ouvrez le fichier build.gradle avec un éditeur de texte.
    Dans la partie minecraft, il y a une ligne version sous la forme {version de minecraft}-{version de forge}. Il vous suffit de modifier cette valeur. Bien sûr n'importe quelle valeur ne fonctionnera pas, la version doit existe, vous pouvez donc aller voir sur le serveur de fichier de forge la liste de toutes les versions.
    Si nécessaire, il faut aussi changer la version de forge gradle. Elle se trouve plus haut dans le fichier (buildscript -> dependencies). Voici la correspondance des versions de forge gradle :
    ForgeGradle 1.0 : Pour minecraft 1.6.4, de forge 9.11.1.960 à 9.11.1.964.
    ForgeGradle 1.1 : Pour minecraft 1.7.2, de forge 10.12.0.967 à 10.12.0.1047.
    ForgeGradle 1.2 : Pour minecraft 1.7.2, forge 10.12.0.1048 et versions plus récentes.
    ForgeGradle 2.1 : Pour minecraft 1.8 - 1.8.9.
    ForgeGradle 2.2 : Pour minecraft 1.9 et plus récent.

    Cette liste sera mise à jour, au pire si vous avez une mauvaise version de forge gradle, le build se stoppera et vous préviendra.
    Donc si j'ai forge 10.12.0.1024 et que je souhaite forge 10.12.0.1059, il faut que je change la version de forge (1.7.2-10.12.0.1059) et de forge gradle (1.2).

    Lancer l'installation des nouvelles sources

    Maintenant que le fichier build.gradle est modifié, il ne reste plus qu'à lancer une nouvelle installation. C'est exactement le même principe que pour la première installation.

    Windows :

    Placez-vous dans le dossier de forge, appuyez sur la touche shift gauche de votre clavier et faites un clic droit en même temps. Normalement il devrait avoir "ouvrir une console ici" en plus dans la liste. Cliquez dessus.
    Si vous ne l'avez pas, ouvrez une console (en tapant cmd dans le menu démarrer) puis tapez

    cd
    

    Glissez le dossier forge dans la console, puis faites entrée.
    Maintenant lancez l'installation de forge avec :

    gradlew setupDecompWorkspace
    

    Puis, une fois fini :

    gradlew eclipse
    

    MacOS et Linux :

    Placez-vous dans le dossier de forge, faites un clic droit puis ouvrir dans un terminal (linux seulement, sous certains gestionnaires de fichier ou avec un script). Pour mac et les distributions où cette fonctionnalité n'est pas présente, ouvrez un terminal, tapez :

    cd
    

    Glissez le dossier forge dans la console, puis faites entrée.
    Maintenant lancez l'installation de forge avec :

    ./gradlew setupDecompWorkspace
    

    Puis, une fois fini :

    ./gradlew eclipse
    

    En vidéo

    Youtube Video

    Crédits

    Rédaction :

    Correction :

    Creative Commons
    Ce tutoriel de Minecraft Forge France est mis à disposition selon les termes de la licence Creative Commons Attribution - Pas d’Utilisation Commerciale - Partage dans les Mêmes Conditions 4.0 International

    retourRetour vers le sommaire des tutoriels



  • Alors genial je veut mettre a jour forge 1/7/2 vers 1.7.10 sauf que petit probleme lors du setupdecompworkspace
    sa me met build failed a makeStart
    comment faire pour résoudre ce probleme?


  • Moddeurs confirmés Rédacteurs Administrateurs

    Il faudrait l'erreur complète.



  • @'robin4002':

    Il faudrait l'erreur complète.

    voila l'erreur :


  • Moddeurs confirmés Rédacteurs Administrateurs

    Tu t'es loupé, rien n'est visible.



  • @'robin4002':

    Tu t'es loupé, rien n'est visible.

    Bah il n'y a pas grand chose de plus au dessus


  • Moddeurs confirmés Rédacteurs Administrateurs

    Non mais le problème c'est que tu n'as rien envoyé. Moi je vois ça :

    Il y a aucun message d'erreur ici, et la pièce jointe est buggué.



  • @'robin4002':

    Non mais le problème c'est que tu n'as rien envoyé. Moi je vois ça :

    Il y a aucun message d'erreur ici, et la pièce jointe est buggué.

    Bah je ne peut mettre qu'une piece jointe sinon il me faut un site et je n'ai aucun site pour des images



  • Regarde l'hébergeur qu'à utiliser robin par exemple 😣 
    http://i.imgur.com/4NUrkhR.png
    Soit http://imgur.com/
    Il ne te reste plus qu'à l'upload et à la mettre



  • alors voila l'image enfin xD


  • Moddeurs confirmés Rédacteurs Administrateurs

    Ta variable JAVA_HOME est mal configuré, retourne voir le tutoriel sur l'installation des logiciels nécessaires au modding.



  • @robin4002 a dit dans Mettre à jour les sources de forge :

    euuuhhhh d'accordddd

    C:\Users\hyde etienne aaron\Pictures\FORGE>gradlew setupDecompWorkspace
    
    FAILURE: Build failed with an exception.
    
    * Where:
    Build file 'C:\Users\hyde etienne aaron\Pictures\FORGE\build.gradle' line: 18
    
    * What went wrong:
    A problem occurred evaluating root project 'FORGE'.
    > Plugin with id 'forge' not found.
    
    * Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
    
    BUILD FAILED
    
    Total time: 9.642 secs
    
    C:\Users\hyde etienne aaron\Pictures\FORGE>
    

    build.gradle

    buildscript {
        repositories {
            mavenCentral()
            maven {
                name = "forge"
                url = "http://files.minecraftforge.net/maven"
            }
            maven {
                name = "sonatype"
                url = "https://oss.sonatype.org/content/repositories/snapshots/"
            }
        }
        dependencies {
            classpath 'net.minecraftforge.gradle:ForgeGradle:2.1-SNAPSHOT'
        }
    }
     
    apply plugin: 'forge'
     
    repositories {
        mavenCentral()
        
    }
     
    version = "1.0"
    group= "com.yourname.modid" // http://maven.apache.org/guides/mini/guide-naming-conventions.html
    archivesBaseName = "modid"
     
    minecraft {
        version = "1.8-11.14.3.1503"
        runDir = "eclipse"
    }
     
    dependencies {
     
    }
     
    processResources
    {
        // this will ensure that this task is redone when the versions change.
        inputs.property "version", project.version
        inputs.property "mcversion", project.minecraft.version
     
        // replace stuff in mcmod.info, nothing else
        from(sourceSets.main.resources.srcDirs) {
            include 'mcmod.info'
     
            // replace version and mcversion
            expand 'version':project.version, 'mcversion':project.minecraft.version
        }
     
        // copy everything else, thats not the mcmod.info
        from(sourceSets.main.resources.srcDirs) {
            exclude 'mcmod.info'
        }
    }
    task deobfJar(type: Jar) {
        from sourceSets.main.output
        classifier = 'dev'
    }
     
    task sourceJar(type: Jar) {
        from sourceSets.main.allSource
        classifier = 'sources' // il est conseillé de mettre "sources" au lieu de "src", sinon gradle ne le considérera pas comme les sources du mod
    }
     
    artifacts {
        archives deobfJar
        archives sourceJar
        archives jar
    }
    

  • Moddeurs confirmés Rédacteurs Administrateurs

    La ligne apply plugin n'est pas la même en 1.8.
    apply plugin: 'net.minecraftforge.gradle.forge'



  • encore mieux

    C:\Users\hyde etienne aaron\Pictures\FORGE>gradlew setupDecompWorkspace
    
    FAILURE: Build failed with an exception.
    
    * Where:
    Build file 'C:\Users\hyde etienne aaron\Pictures\FORGE\build.gradle' line: 18
    
    * What went wrong:
    A problem occurred evaluating root project 'FORGE'.
    > ForgeGradle 2.0 requires Gradle 2.3 or above.
    
    * Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
    
    BUILD FAILED
    
    Total time: 1 mins 5.275 secs
    
    C:\Users\hyde etienne aaron\Pictures\FORGE>
    

    et je ne shoutherais pas réinstaller et faire tout depuis le debut


  • Moddeurs confirmés Rédacteurs Administrateurs

    Le problème est écrit noir sur blanc blanc sur noir, il faut que tu mettres à jour ta version de gradle.

    Si tu es en train de faire un passage d'une version majeure à une autre (par exemple 1.7.x vers 1.8.x) le plus simple est de télécharger un mdk dans la version appropriée puis de copier / coller le dossier src du projet 1.7 vers le projet 1.8.



  • merci jai cru que je ne pouvais pas mettre le src dans le mdk


Log in to reply